Bug 76954 - [NEW PORT] mail/milter-greylist-devel: Easy-to-use greylist milter for sendmail (development)
Summary: [NEW PORT] mail/milter-greylist-devel: Easy-to-use greylist milter for sendma...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Hajimu UMEMOTO
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-02-01 12:00 UTC by Cyril Guibourg
Modified: 2005-02-03 18:49 UTC (History)
0 users

See Also:


Attachments
milter-greylist-devel-1.7.5.shar (85.57 KB, text/plain)
2005-02-01 12:00 UTC, Cyril Guibourg
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Cyril Guibourg 2005-02-01 12:00:35 UTC
This is a port of Emmanuel Dreyfus' milter-greylist.

Grey listing is a wonderful spam filtering technique, which uses a behavior
trick: spammers never resend a message when they get a temporary error,
whereas real MTA do. The idea is to refuse any mail on first attempt, and
accept it after some time has elapsed.

milter-greylist is a stand-alone milter written in C that implement grey
listing.

WWW: http://hcpnet.free.fr/milter-greylist/

Generated with FreeBSD Port Tools 0.63
Comment 1 plonk-o-matic 2005-02-01 12:40:03 UTC
>Fix:

Ooops... apologies for the shar file including a binary pkg...

The right one is below.

--- milter-greylist-devel-1.7.5.shar begins here ---
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	milter-greylist-devel
#	milter-greylist-devel/files
#	milter-greylist-devel/files/milter-greylist.sh
#	milter-greylist-devel/files/patch-Makefile.in
#	milter-greylist-devel/Makefile
#	milter-greylist-devel/distinfo
#	milter-greylist-devel/pkg-descr
#	milter-greylist-devel/pkg-message
#	milter-greylist-devel/pkg-plist
#
echo c - milter-greylist-devel
mkdir -p milter-greylist-devel > /dev/null 2>&1
echo c - milter-greylist-devel/files
mkdir -p milter-greylist-devel/files > /dev/null 2>&1
echo x - milter-greylist-devel/files/milter-greylist.sh
sed 's/^X//' >milter-greylist-devel/files/milter-greylist.sh << 'END-of-milter-greylist-devel/files/milter-greylist.sh'
X#!/bin/sh
X# $FreeBSD: ports/mail/milter-greylist/files/milter-greylist.sh,v 1.2 2004/07/29 20:07:03 pav Exp $
X
X# PROVIDE: miltergreylist
X# REQUIRE: LOGIN
X# BEFORE: sendmail
X# KEYWORD: milter-greylist
X
X# Define these miltergreylist_* variables in one of these files:
X#       /etc/rc.conf
X#       /etc/rc.conf.local
X#       /etc/rc.conf.d/miltergreylist
X#
X# DO NOT CHANGE THESE DEFAULT VALUES HERE
X#
Xmiltergreylist_enable=${miltergreylist_enable-"NO"}
Xmiltergreylist_runas=${miltergreylist_runas-"smmsp"}
Xmiltergreylist_pidfile=${miltergreylist_pidfile-"/var/run/milter-greylist.pid"}
Xmiltergreylist_sockfile=${miltergreylist_sockfile-"/var/milter-greylist/milter-greylist.sock"}
Xmiltergreylist_cfgfile=${miltergreylist_cfgfile-"%%PREFIX%%/etc/mail/greylist.conf"}
Xmiltergreylist_flags=${miltergreylist_flags-"-P $miltergreylist_pidfile \
X-f $miltergreylist_cfgfile -p $miltergreylist_sockfile -u $miltergreylist_runas"}
X
X. %%RC_SUBR%%
X
Xname="miltergreylist"
Xrcvar=`set_rcvar`
Xcommand="%%PREFIX%%/bin/milter-greylist"
X
Xload_rc_config $name
X
Xrun_rc_command "$1"
END-of-milter-greylist-devel/files/milter-greylist.sh
echo x - milter-greylist-devel/files/patch-Makefile.in
sed 's/^X//' >milter-greylist-devel/files/patch-Makefile.in << 'END-of-milter-greylist-devel/files/patch-Makefile.in'
X--- Makefile.in.orig	Sun Dec 19 09:11:21 2004
X+++ Makefile.in	Tue Dec 28 14:36:39 2004
X@@ -29,9 +29,9 @@
X # OF THE POSSIBILITY OF SUCH DAMAGE.
X #
X 
X-CFLAGS= 	@CFLAGS@ -D_BSD_SOURCE
X-LDFLAGS=	@LDFLAGS@
X-LIBS= 		@LIBS@
X+CFLAGS= 	-O2 -pthread
X+LDFLAGS=	-pthread
X+LIBS= 		-lmilter
X prefix=		@prefix@
X exec_prefix=	@exec_prefix@
X SYSCONFDIR=	@sysconfdir@
X@@ -40,16 +40,16 @@
X MANDIR=		@mandir@
X USER=		@USER@
X 
X-CC=		@CC@
X-MKDEP=		@MKDEP@
X+#CC=		@CC@
X+#MKDEP=		@MKDEP@
X RM=		@RM@
X MV=		@MV@
X-TEST=		@TEST@
X+#TEST=		@TEST@
X SED=		@SED@
X-INSTALL=	@INSTALL@
X-LEX=		@LEX@
X-YACC=		@YACC@
X-TRUE=		@TRUE@
X+#INSTALL=	@INSTALL@
X+#LEX=		@LEX@
X+#YACC=		@YACC@
X+#TRUE=		@TRUE@
X 
X OBJ= 		milter-greylist.o pending.o sync.o \
X 		conf_yacc.o dump_yacc.o conf.o autowhite.o dump.o spf.o acl.o
END-of-milter-greylist-devel/files/patch-Makefile.in
echo x - milter-greylist-devel/Makefile
sed 's/^X//' >milter-greylist-devel/Makefile << 'END-of-milter-greylist-devel/Makefile'
X# New ports collection makefile for:	milter-greylist-devel
X# Date created:				11 Dec 2004
X# Whom:					Cyril Guibourg
X#
X# $FreeBSD$
X#
X
XPORTNAME=	milter-greylist-devel
XPORTVERSION=	1.7.5
XCATEGORIES=	mail
XMASTER_SITES=	ftp://ftp.espci.fr/pub/milter-greylist/
XDISTNAME=	milter-greylist-${PORTVERSION}
XEXTRACT_SUFX=	.tgz
X
XMAINTAINER=	aragorn+ports@teaser.fr
XCOMMENT=	Easy-to-use greylist milter for sendmail (development)
X
XMAN5=		greylist.conf.5
XMAN8=		milter-greylist.8
X
XGNU_CONFIGURE=	yes
XCONFIGURE_TARGET=	--build=${MACHINE_ARCH}-portbld-freebsd${OSREL}
XCONFIGURE_ARGS+=	--with-user=smmsp
X
XALL_TARGET=	milter-greylist
X
XUSE_RC_SUBR=	yes
XRC_SCRIPTS_SUB=	PREFIX=${PREFIX} RC_SUBR=${RC_SUBR}
X
Xpost-extract:
X	@${SED}	${RC_SCRIPTS_SUB:S/$/!g/:S/^/ -e s!%%/:S/=/%%!/} \
X		${FILESDIR}/milter-greylist.sh > ${WRKSRC}/milter-greylist.sh
X
Xdo-install:
X	@${MKDIR} ${PREFIX}/etc/mail
X	@${INSTALL_PROGRAM} ${WRKSRC}/milter-greylist ${PREFIX}/bin
X	@${INSTALL_MAN} ${WRKSRC}/greylist.conf.5 ${PREFIX}/man/man5
X	@${INSTALL_MAN} ${WRKSRC}/milter-greylist.8 ${PREFIX}/man/man8
X	@${INSTALL_DATA} ${WRKSRC}/greylist.conf \
X			${PREFIX}/etc/mail/greylist.conf.sample
X	@${INSTALL_SCRIPT} ${WRKSRC}/milter-greylist.sh ${PREFIX}/etc/rc.d/
X
Xpost-install:
X	@${MKDIR} /var/milter-greylist
X	@${CHOWN} smmsp /var/milter-greylist
X.if !defined(NOPORTDOCS)
X	@${MKDIR} ${DOCSDIR}
X	@${MKDIR} ${EXAMPLESDIR}
X	@${INSTALL_DATA} ${WRKSRC}/README ${DOCSDIR}
X	@${INSTALL_DATA} ${WRKSRC}/greylist.conf ${EXAMPLESDIR}
X.endif
X	@${CAT} ${PKGMESSAGE}
X
X.include <bsd.port.mk>
END-of-milter-greylist-devel/Makefile
echo x - milter-greylist-devel/distinfo
sed 's/^X//' >milter-greylist-devel/distinfo << 'END-of-milter-greylist-devel/distinfo'
XMD5 (milter-greylist-1.7.5.tgz) = b0f0bd40a799b6745226a386d52c03b6
XSIZE (milter-greylist-1.7.5.tgz) = 113031
END-of-milter-greylist-devel/distinfo
echo x - milter-greylist-devel/pkg-descr
sed 's/^X//' >milter-greylist-devel/pkg-descr << 'END-of-milter-greylist-devel/pkg-descr'
XThis is a port of Emmanuel Dreyfus' milter-greylist.
X
XGrey listing is a wonderful spam filtering technique, which uses a behavior
Xtrick: spammers never resend a message when they get a temporary error,
Xwhereas real MTA do. The idea is to refuse any mail on first attempt, and
Xaccept it after some time has elapsed.
X
Xmilter-greylist is a stand-alone milter written in C that implement grey
Xlisting.
X
XWWW: http://hcpnet.free.fr/milter-greylist/
END-of-milter-greylist-devel/pkg-descr
echo x - milter-greylist-devel/pkg-message
sed 's/^X//' >milter-greylist-devel/pkg-message << 'END-of-milter-greylist-devel/pkg-message'
X===> IMPORTANT NOTE
X
X     A sample configuration file has been installed in ${PREFIX}/etc/mail
X     directory. Copy and edit it to suit your needs before launching
X     milter-greylist.
X
X     To run milter-greylist from startup, add miltergreylist_enable="YES"
X     in your /etc/rc.conf or your /etc/rc.conf.local
X
X     See ${DOCSDIR}/README for operation details.
END-of-milter-greylist-devel/pkg-message
echo x - milter-greylist-devel/pkg-plist
sed 's/^X//' >milter-greylist-devel/pkg-plist << 'END-of-milter-greylist-devel/pkg-plist'
Xbin/milter-greylist
Xetc/mail/greylist.conf.sample
Xetc/rc.d/milter-greylist.sh
X%%PORTDOCS%%%%DOCSDIR%%/README
X%%PORTDOCS%%%%EXAMPLESDIR%%/greylist.conf
X@exec /bin/mkdir -p /var/milter-greylist
X@exec /usr/sbin/chown smmsp /var/milter-greylist
X%%PORTDOCS%%@dirrm %%DOCSDIR%%
X%%PORTDOCS%%@dirrm %%EXAMPLESDIR%%
X@unexec /bin/rmdir %D/etc/mail 2>/dev/null || true
X@unexec [ -f /var/milter-greylist/greylist.db ] || /bin/rmdir /var/milter-greylist || true
END-of-milter-greylist-devel/pkg-plist
exit
--- milter-greylist-devel-1.7.5.shar ends here ---
Comment 2 Hajimu UMEMOTO freebsd_committer 2005-02-03 18:45:33 UTC
State Changed
From-To: open->closed

Thanks, committed. 
I made two changes to use PKGNAMESUFFIX for -devel and add CONFLICTS 
against existing milter-greylist port. 


Comment 3 Hajimu UMEMOTO freebsd_committer 2005-02-03 18:45:33 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ume

because, I committed this pr.